# DesQ DropDown

A Quake-style DropDown app capable of showing widgets. All the widgets are Qt Plugins. Installing DesQFiles and DesQTerm gives the file manager
and terminal plugins for the DropDown.

### Notes for compiling (Qt5) - linux:

* Download the sources
  * Git: `git clone https://gitlab.com/DesQ/DesQApps/DesQDropDown.git DesQDropDown`
* Enter `DesQDropDown`
* Open the terminal and type:
  * `mkdir build && cd build`
  * `cmake .. && make -kj$(nproc)`
* To install, as root type: `make install`

### Dependencies:
* Qt5 (qtbase5-dev [5.15.2+dfsg-2], qtbase5-dev-tools [5.15.2+dfsg-2])
* Qt5WaylandClient (libqt5waylandcilent5-dev [5.15.2+dfsg-2])
* wayland-scanner (libwayland-bin)
* libdesq (https://gitlab.com/DesQ/libdesq)
* libdesqui (https://gitlab.com/DesQ/libdesqui)

## My System Info
* OS:				Debian Sid
* Qt:				Qt5 5.15.1

### Upcoming
* Any other feature you request for... :)
